# AODataAddAlias

Allows accessing a key or field using an alternative name.

### Synopsis

    #include "petscao.h"
    PetscErrorCode AODataAddAlias(AOData ao,char *alias,char *name)

Not collective

### Input Parameters

| ao | - the AOData database
| alias | - substitute name that may be used
| name | - name the alias replaces

### Keywords

aliases, keys, fields

### See Also

Level:intermediate
Location:src/dm/ao/interface/aodataalias.c
Index of all AO routines
Table of Contents for all manual pages
Index of all manual pages